<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>man_ping</title>
</head>
<body>
    <h1>ping(8) - Linux man page</h1>

    <h2>Sumário</h2>

    <ol>
        <li><a href="#name">Name</a></li>
        <li><a href="#synopsis">Synopsis</a></li>
        <li><a href="#description">Description</a></li>
        <li><a href="#options">Options</a></li>
        <li><a href="#details">Icmp Packet Details</a></li>
        <li><a href="#damaged">Duplicate and Damaged Packets</a></li>
        <li><a href="#patterns">Trying Different Data Patterns</a></li>
        <li><a href="#ttl">Ttl Details</a></li>
        <li><a href="#bugs">Bugs</a></li>
        <li><a href="#also">See Also</a></li>
        <li><a href="#history">History</a></li>
        <li><a href="#security">Security</a></li>
        <li><a href="#availability">Availability</a></li>
        <li><a href="#referenced">Referenced By</a></li>
    </ol>

    <!-- NAME -->
    <h2 id="name">
        Name
    </h2>

    <a href="#">topo</a>

    <p>ping, ping6 - send ICMP ECHO_REQUEST to network hosts</p>


    <!-- SYNOPSIS -->
    <h2 id="synopsis">
        Synopsis
    </h2>

    <a href="#">topo</a>
    
    <p>
        <b>"ping [ -LRUbdfnqrvVaAB] [ -c "
            <i>count</i>
            "] [ -i "
            <i>interval</i>
            "] [ -l "
            <i>preload</i>
            "] [ -p "
            <i>pattern</i>
            "] [ -s "
            <i>packetsize</i>
            "] [ -t "
            <i>ttl</i>
            "]"
            <br>
            " [ -w "
            <i>deadline</i>
            "] [ -F "
            <i>flowlabel</i>
            "] [ -I "
            <i>interface</i>
            "] [ -M "
            <i>hint</i>
            "] [ -Q 
            <i></i>
            ">{tos}] [ -S "
            <i>sndbuf</i>
            "] [ -T "
            <i>timestamp option</i>
            "]"
            <br>
            " [ -W "
            <i>timeout</i>
            "] [ hop ...] "
           <i>destination</i>
        </b></p>

    <!-- SYNOPSIS -->
    <h2 id="description">
        Description
    </h2>

    <a href="#">topo</a>

    <p><b>ping</b> uses the ICMP protocol's mandatory ECHO_REQUEST datagram to elicit an ICMP ECHO_RESPONSE from a host or gateway. ECHO_REQUEST datagrams (''pings'') have an IP and ICMP header, followed by a struct timeval and then an arbitrary number of ''pad'' bytes used to fill out the packet.</p>


    <!-- OPTIONS -->
    <h2 id="options">
        Options
    </h2>

    <a href="#">topo</a>

    <dl>
        <dt>
            <b>-a</b>
            <dd>Audible ping.</dd>
        </dt>
        <dt>
            <b>-A</b>
            <dd>Adaptive ping. Interpacket interval adapts to round-trip time, so that effectively not more than one (or more, if preload is set) unanswered probes present in the network. Minimal interval is 200msec for not super-user. On networks with low rtt this mode is essentially equivalent to flood mode.</dd>
        </dt>
        <dt>
            <b>-b</b>
            <dd>Allow pinging a broadcast address.</dd>
        </dt>
        <dt>
            <b>-B</b>
            <dd>Do not allow ping to change source address of probes. The address is bound to one selected when ping starts.</dd>
        </dt>
        <dt>
            <b>-c <i>count</i></b>
            <dd>Stop after sending count ECHO_REQUEST packets. With deadline option, ping waits for count ECHO_REPLY packets, until the timeout expires.</dd>
        </dt>
        <dt>
            <b>-d</b>
            <dd>Set the SO_DEBUG option on the socket being used. Essentially, this socket option is not used by Linux kernel.
            </dd>
        </dt>
        <dt>
            <b>-F <i>flow label</i></b>
            <dd>Allocate and set 20 bit flow label on echo request packets. (Only ping6). If value is zero, kernel allocates random flow label.
            </dd>
        </dt>
        <dt>
            <b>-f</b>
            <dd>Flood ping. For every ECHO_REQUEST sent a period ''.'' is printed, while for ever ECHO_REPLY received a backspace is printed. This provides a rapid display of how many packets are being dropped. If interval is not given, it sets interval to zero and outputs packets as fast as they come back or one hundred times per second, whichever is more. Only the super-user may use this option with zero interval.
            </dd>
        </dt>
        <dt>
            <b>-i <i>interval</i></b>
            <dd>Wait interval seconds between sending each packet. The default is to wait for one second between each packet normally, or not to wait in flood mode. Only super-user may set interval to values less 0.2 seconds.
            </dd>
        </dt>
        <dt>
            <b>-I <i>interface address</i></b>
            <dd>Set source address to specified interface address. Argument may be numeric IP address or name of device. When pinging IPv6 link-local address this option is required.
            </dd>
        </dt>
        <dt>
            <b>-l <i>preload</i></b>
            <dd>If preload is specified, ping sends that many packets not waiting for reply. Only the super-user may select preload more than 3.
            </dd>
        </dt>
        <dt>
            <b>-L</b>
            <dd>Suppress loopback of multicast packets. This flag only applies if the ping destination is a multicast address.
            </dd>
        </dt>
        <dt>
            <b>-n</b>
            <dd>Numeric output only. No attempt will be made to lookup symbolic names for host addresses.
            </dd>
        </dt>
        <dt>
            <b>-p <i>pattern</i></b>
            <dd>You may specify up to 16 ''pad'' bytes to fill out the packet you send. This is useful for diagnosing data-dependent problems in a network. For example, -p ff will cause the sent packet to be filled with all ones.
            </dd>
        </dt>
        <dt>
            <b>-Q <i>tos</i></b>
            <dd>Set Quality of Service -related bits in ICMP datagrams. tos can be either decimal or hex number. Traditionally (RFC1349), these have been interpreted as: 0 for reserved (currently being redefined as congestion control), 1-4 for Type of Service and 5-7 for Precedence. Possible settings for Type of Service are: minimal cost: 0x02, reliability: 0x04, throughput: 0x08, low delay: 0x10. Multiple TOS bits should not be set simultaneously. Possible settings for special Precedence range from priority (0x20) to net control (0xe0). You must be root (CAP_NET_ADMIN capability) to use Critical or higher precedence value. You cannot set bit 0x01 (reserved) unless ECN has been enabled in the kernel. In RFC2474, these fields has been redefined as 8-bit Differentiated Services (DS), consisting of: bits 0-1 of separate data (ECN will be used, here), and bits 2-7 of Differentiated Services Codepoint (DSCP).
            </dd>
        </dt>
        <dt>
            <b>-q</b>
            <dd>Quiet output. Nothing is displayed except the summary lines at startup time and when finished.
            </dd>
        </dt>
        <dt>
            <b>-R</b>
            <dd>Record route. Includes the RECORD_ROUTE option in the ECHO_REQUEST packet and displays the route buffer on returned packets. Note that the IP header is only large enough for nine such routes. Many hosts ignore or discard this option.
            </dd>
        </dt>

    </dl>
</body>
</html>